> ## Documentation Index
> Fetch the complete documentation index at: https://docs.refmatter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read ingestion progress and outcome



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ingestions/{ingestionId}
openapi: 3.1.0
info:
  title: Refmatter API
  version: 0.1.0
  description: >-
    Reference memory for AI creative agents. Every operation carries
    x-implementation-status; only implemented operations are availability
    claims.
servers:
  - url: https://api.refmatter.com
security:
  - bearerApiKey: []
  - sessionCookie: []
tags:
  - name: auth
  - name: workspaces
  - name: ingestions
  - name: references
  - name: media
  - name: sourceRoutes
paths:
  /v1/ingestions/{ingestionId}:
    get:
      tags:
        - ingestions
      summary: Read ingestion progress and outcome
      operationId: ingestionsGet
      parameters:
        - name: ingestionId
          in: path
          required: true
          description: Opaque ingestion identifier
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Current ingestion projection
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ingestion'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Action not permitted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Revision or idempotency conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '422':
          description: Request cannot be fulfilled by the current source contract
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '503':
          description: Route or dependency unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
      security:
        - bearerApiKey: []
        - sessionCookie: []
components:
  schemas:
    Ingestion:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        id:
          type: string
          pattern: >-
            ^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
        workspaceId:
          type: string
          pattern: >-
            ^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
        jobId:
          type: string
          pattern: >-
            ^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
        sourceUrl:
          type: string
          minLength: 1
          maxLength: 2048
        mediaProfile:
          type: string
          enum:
            - none
            - analysis
            - full
        transcript:
          type: boolean
        state:
          type: string
          enum:
            - accepted
            - queued
            - running
            - retry_wait
            - succeeded
            - failed
            - cancelled
        progress:
          anyOf:
            - type: object
              properties:
                stage:
                  type: string
                  enum:
                    - validate_url
                    - resolve_identity
                    - acquire_metadata
                    - persist_canonical
                    - create_reference
                    - discover_media
                    - transfer_media
                    - verify_media
                    - finalize
                completedStages:
                  maxItems: 9
                  type: array
                  items:
                    type: string
                    enum:
                      - validate_url
                      - resolve_identity
                      - acquire_metadata
                      - persist_canonical
                      - create_reference
                      - discover_media
                      - transfer_media
                      - verify_media
                      - finalize
                attemptNumber:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                nextAttemptAt:
                  anyOf:
                    - type: string
                      pattern: >-
                        ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
                    - type: 'null'
              required:
                - stage
                - completedStages
                - attemptNumber
                - nextAttemptAt
              additionalProperties: false
            - type: 'null'
        attempts:
          maxItems: 10
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                pattern: >-
                  ^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
              number:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
              sourceRouteId:
                anyOf:
                  - type: string
                    pattern: >-
                      ^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
                  - type: 'null'
              routeContractVersion:
                anyOf:
                  - type: string
                    minLength: 1
                    maxLength: 32
                  - type: 'null'
              state:
                type: string
                enum:
                  - pending
                  - running
                  - succeeded
                  - failed
                  - cancelled
              stages:
                maxItems: 9
                type: array
                items:
                  type: object
                  properties:
                    stage:
                      type: string
                      enum:
                        - validate_url
                        - resolve_identity
                        - acquire_metadata
                        - persist_canonical
                        - create_reference
                        - discover_media
                        - transfer_media
                        - verify_media
                        - finalize
                    state:
                      type: string
                      enum:
                        - pending
                        - running
                        - succeeded
                        - failed
                        - cancelled
                        - skipped
                    startedAt:
                      anyOf:
                        - type: string
                          pattern: >-
                            ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
                        - type: 'null'
                    finishedAt:
                      anyOf:
                        - type: string
                          pattern: >-
                            ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
                        - type: 'null'
                    durationMs:
                      anyOf:
                        - type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        - type: 'null'
                    failureCode:
                      anyOf:
                        - type: string
                          enum:
                            - invalid_input
                            - unauthenticated
                            - invalid_credential
                            - credential_conflict
                            - forbidden
                            - policy_blocked
                            - route_disabled
                            - route_degraded
                            - not_found
                            - bootstrap_conflict
                            - last_owner_conflict
                            - revision_conflict
                            - idempotency_conflict
                            - unavailable_private
                            - unavailable_restricted
                            - unavailable_removed
                            - unsupported_object
                            - unsupported_media
                            - limit_exceeded
                            - rate_limited
                            - source_changed
                            - network_timeout
                            - network_transport
                            - media_invalid
                            - storage_unavailable
                            - retry_exhausted
                            - internal_error
                        - type: 'null'
                  required:
                    - stage
                    - state
                    - startedAt
                    - finishedAt
                    - durationMs
                    - failureCode
                  additionalProperties: false
              startedAt:
                anyOf:
                  - type: string
                    pattern: >-
                      ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
                  - type: 'null'
              finishedAt:
                anyOf:
                  - type: string
                    pattern: >-
                      ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
                  - type: 'null'
              failureCode:
                anyOf:
                  - type: string
                    enum:
                      - invalid_input
                      - unauthenticated
                      - invalid_credential
                      - credential_conflict
                      - forbidden
                      - policy_blocked
                      - route_disabled
                      - route_degraded
                      - not_found
                      - bootstrap_conflict
                      - last_owner_conflict
                      - revision_conflict
                      - idempotency_conflict
                      - unavailable_private
                      - unavailable_restricted
                      - unavailable_removed
                      - unsupported_object
                      - unsupported_media
                      - limit_exceeded
                      - rate_limited
                      - source_changed
                      - network_timeout
                      - network_transport
                      - media_invalid
                      - storage_unavailable
                      - retry_exhausted
                      - internal_error
                  - type: 'null'
              retryable:
                type:
                  - boolean
                  - 'null'
            required:
              - id
              - number
              - sourceRouteId
              - routeContractVersion
              - state
              - stages
              - startedAt
              - finishedAt
              - failureCode
              - retryable
            additionalProperties: false
        referenceId:
          anyOf:
            - type: string
              pattern: >-
                ^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
            - type: 'null'
        outcomeCode:
          anyOf:
            - type: string
              enum:
                - invalid_input
                - unauthenticated
                - invalid_credential
                - credential_conflict
                - forbidden
                - policy_blocked
                - route_disabled
                - route_degraded
                - not_found
                - bootstrap_conflict
                - last_owner_conflict
                - revision_conflict
                - idempotency_conflict
                - unavailable_private
                - unavailable_restricted
                - unavailable_removed
                - unsupported_object
                - unsupported_media
                - limit_exceeded
                - rate_limited
                - source_changed
                - network_timeout
                - network_transport
                - media_invalid
                - storage_unavailable
                - retry_exhausted
                - internal_error
            - type: 'null'
        outcomeMessage:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 240
            - type: 'null'
        cancelRequested:
          type: boolean
        createdAt:
          type: string
          pattern: >-
            ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
        updatedAt:
          type: string
          pattern: >-
            ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
        finishedAt:
          anyOf:
            - type: string
              pattern: >-
                ^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$
            - type: 'null'
        revision:
          type: integer
          minimum: 0
          maximum: 9007199254740991
      required:
        - id
        - workspaceId
        - jobId
        - sourceUrl
        - mediaProfile
        - transcript
        - state
        - progress
        - attempts
        - referenceId
        - outcomeCode
        - outcomeMessage
        - cancelRequested
        - createdAt
        - updatedAt
        - finishedAt
        - revision
      additionalProperties: false
    ErrorEnvelope:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - invalid_input
                - unauthenticated
                - invalid_credential
                - credential_conflict
                - forbidden
                - policy_blocked
                - route_disabled
                - route_degraded
                - not_found
                - bootstrap_conflict
                - last_owner_conflict
                - revision_conflict
                - idempotency_conflict
                - unavailable_private
                - unavailable_restricted
                - unavailable_removed
                - unsupported_object
                - unsupported_media
                - limit_exceeded
                - rate_limited
                - source_changed
                - network_timeout
                - network_transport
                - media_invalid
                - storage_unavailable
                - retry_exhausted
                - internal_error
            message:
              type: string
              minLength: 1
              maxLength: 240
            retryable:
              type: boolean
            requestId:
              type: string
              minLength: 8
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
            details:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                type:
                  - string
                  - number
                  - boolean
          required:
            - code
            - message
            - retryable
            - requestId
            - details
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  securitySchemes:
    bearerApiKey:
      type: http
      scheme: bearer
    sessionCookie:
      type: apiKey
      in: cookie
      name: social_session

````